Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12358)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12363)
@@ -150,4 +150,5 @@
         contract.document_object = self.document
         contract.product_options = self.product.options
+        contract.tc_dict = {'en': u'Hello world'}
         customer['contracts'].addContract(contract)
         self.contract = contract
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12358)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12363)
@@ -107,4 +107,5 @@
         self.product.contract_category = u'sample'
         self.product.valid_from = date(2015, 12, 4)
+        self.product.tc_dict = {'en': u'Hello world'}
         prodoption = ProductOption()
         prodoption.title = u'First option'
@@ -1179,13 +1180,19 @@
         conid = [i for i in self.customer['contracts'].keys() if len(i) > 10][0]
         contract = self.customer['contracts'][conid]
-
-        # Contract can be edited
-        self.browser.getLink(conid[:6]).click()
-        self.browser.getLink("Manage").click()
+        self.assertEqual(
+            self.browser.url, self.contracts_path + '/%s/selectproduct' % conid)
+        # SAM is in the correct contract_category ...
+        self.assertTrue('<option value="SAM">' in self.browser.contents)
+        # ... but NOTSAM not.
+        self.assertFalse('<option value="LIC">' in self.browser.contents)
+        # So far last_product_id is None.
+        self.assertTrue(self.customer['contracts'][conid].last_product_id is None)
         self.browser.getControl(name="form.product_object").value = ['SAM']
-        self.browser.getControl("Save").click()
-        self.assertTrue('Form has been saved.' in self.browser.contents)
+        self.browser.getControl("Save and proceed").click()
+        self.assertEqual(
+            self.browser.url, self.contracts_path + '/%s/manage' % conid)
         self.browser.getLink("View").click()
         self.assertEqual(self.browser.url, self.contracts_path + '/%s/index' % conid)
+        self.assertEqual(contract.tc_dict, {'en': u'Hello world'})
 
         # Transitions can be performed
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12358)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12363)
@@ -257,7 +257,7 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,product_options,state,title,user_id\r\n'
-
-            'SampleContract,sample,CON1,,[],,,[],,,\r\n'
+            'product_object,product_options,state,tc_dict,title,user_id\r\n'
+
+            'SampleContract,sample,CON1,,[],,,[],,{},,\r\n'
             )
         return
@@ -273,10 +273,10 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,product_options,state,title,user_id\r\n'
+            'product_object,product_options,state,tc_dict,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
-            'created,Our Sample Product,A111111\r\n',
+            'created,{\'en\': u\'Hello world\'},Our Sample Product,A111111\r\n',
             result
             )
@@ -293,10 +293,10 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,product_options,state,title,user_id\r\n'
+            'product_object,product_options,state,tc_dict,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
-            'created,Our Sample Product,A111111\r\n',
+            'created,{\'en\': u\'Hello world\'},Our Sample Product,A111111\r\n',
             result
             )
@@ -313,12 +313,12 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,product_options,state,title,user_id\r\n'
+            'product_object,product_options,state,tc_dict,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
-            'created,Our Sample Product,A111111\r\n',
-            result
-            )
-        return
-
+            'created,{\'en\': u\'Hello world\'},Our Sample Product,A111111\r\n',
+            result
+            )
+        return
+
